use crate::{objects::ShipControls, ParticleBuilder};
use galactica_content::Content;
use galactica_galaxy::{Galaxy, GxShipHandle};
use galactica_util::timing::Timing;

/// External resources we need to compute time steps
#[derive(Debug)]
pub struct StepResources<'a> {
	/// Game content
	pub ct: &'a Content,

	/// Game data
	pub gx: &'a mut Galaxy,

	/// Length of time step
	pub t: f32,

	/// Particles to create
	pub particles: &'a mut Vec<ParticleBuilder>,

	/// Player inputs
	pub player_controls: ShipControls,

	/// The ship that the player controls
	pub player: GxShipHandle,

	/// Record detailed frame timing breakdown
	pub timing: &'a mut Timing,
}
